//=============================================================================
// CCSVString.cpp
//=============================================================================
#include "Stdinc.h"
#include "CSVString.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CCSVString::CCSVString(void)
{
}

CCSVString::~CCSVString(void)
{
}
//-----------------------------------------------------------------------------
// GetNextString
//-----------------------------------------------------------------------------
LPCSTR CCSVString::GetNextString( LPSTR lpTgt, size_t nSize, LPCSTR &lpzSrc )
{
	LPCSTR lpzEnd = strstr( lpzSrc, "," );
	if ( lpzEnd == NULL )
	{
		if ( ((lpzEnd = strstr( lpzSrc, "\r" )) == NULL) && ((lpzEnd = strstr( lpzSrc, "\n" )) == NULL) )
		{
			return NULL;
		}
	}

	size_t nLen = (size_t)(lpzEnd - lpzSrc);
	if ( nSize - 1 < nLen )
		nLen = nSize - 1;

	memcpy( lpTgt, lpzSrc, nLen );
	lpTgt[nLen] = '\0';


	lpzSrc = (lpzEnd+1);

	return lpzEnd+1;

}
//-----------------------------------------------------------------------------
// GetNextInt
//-----------------------------------------------------------------------------
int CCSVString::GetNextInt( LPCSTR &lpzSrc )
{
	char szBuff[1024*32];

	GetNextString( szBuff, sizeof(szBuff), lpzSrc );

	return atoi( szBuff );
}
//-----------------------------------------------------------------------------
// GetNextDouble
//-----------------------------------------------------------------------------
double CCSVString::GetNextDouble( LPCSTR &lpzSrc )
{
	char szBuff[1024*32];

	GetNextString( szBuff, sizeof(szBuff), lpzSrc );

	return atof( szBuff );
}
