//=============================================================================
// DxExtend.cpp
//=============================================================================
#include "Stdinc.h"
#include "Game.h"

//-----------------------------------------------------------------------------
// DrawGraphEx
//-----------------------------------------------------------------------------
int DrawGraphEx( int x, int y, int GrHandle, int TransFlag )
{
	int iOffsetX = CGame::GetInstance()->GetOffsetX();
	int iOffsetY = CGame::GetInstance()->GetOffsetY();

	return DrawGraph( x + iOffsetX, y + iOffsetY, GrHandle, TransFlag );
}
//-----------------------------------------------------------------------------
// DrawExtendGraphEx
//-----------------------------------------------------------------------------
int DrawExtendGraphEx( int x1, int y1, int x2, int y2, int GrHandle, int TransFlag )
{
	int iOffsetX = CGame::GetInstance()->GetOffsetX();
	int iOffsetY = CGame::GetInstance()->GetOffsetY();

	return DrawExtendGraph( x1+ iOffsetX, y1+ iOffsetY, x2+ iOffsetX, y2+ iOffsetY, GrHandle, TransFlag );
}
//-----------------------------------------------------------------------------
// DrawRectGraphEx
//-----------------------------------------------------------------------------
int DrawRectGraphEx( int DestX, int DestY, int SrcX, int SrcY, int Width, int Height, int GraphHandle, int TransFlag, int TurnFlag )
{
	int iOffsetX = CGame::GetInstance()->GetOffsetX();
	int iOffsetY = CGame::GetInstance()->GetOffsetY();

	return DrawRectGraph( DestX+ iOffsetX, DestY+ iOffsetY, SrcX, SrcY, Width, Height, GraphHandle, TransFlag, TurnFlag );
}
