//=============================================================================
// EquipItemListWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "EquipItemListWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CEquipItemListWindow::CEquipItemListWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CEquipItemListWindow::~CEquipItemListWindow(void)
{
}

//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CEquipItemListWindow::Create( int iPosX, int iPosY, int iWidth, int iHeight, CPlayerParty *pParty, CCoWndManager *pParent )
{
	BOOL bRet = CListWindow::Create( iPosX, iPosY, iWidth, iHeight );

	m_pParent = pParent;
	m_pPlayerParty = pParty;

	// _~[ACeǉ
	const int BASE_POS_X  =  30;
	const int BASE_POS_Y  =  10;
	const int INCREMENT_Y =  15;

	for ( int iCnt = 0; iCnt < ONE_PAGE_ITEM_COUNT; iCnt ++ )
	{
		stMenuItem Item;
		Item.nID = iCnt;
		Item.bEnabled = TRUE;

		// ʒu
		Item.nPosX = BASE_POS_X;
		Item.nPosY = INCREMENT_Y * (iCnt / 2) + BASE_POS_Y;
		Item.lpzText = "ACe";
		Item.nIcon = 0;
		Item.nCount = 0;

		AddMenuItem( &Item );
	}

	return bRet;
}