//=============================================================================
// EquipWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "EquipWindow.h"
#include "Manipulator.h"
#include "PlayerParty.h"
#include "CampWindow.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CEquipWindow::CEquipWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CEquipWindow::~CEquipWindow(void)
{
}

//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CEquipWindow::Create( CPlayerParty *pPlayerParty, CCampWindow *pParent )
{
	m_pPlayerParty = pPlayerParty;
	m_pCampWnd = pParent;

	// uсv\
	m_TagWnd.Create( 250, 0, 70, 28 );
	m_TagWnd.SetExtendBackGround( FALSE );
	m_TagWnd.SetTagName("ACe");
	m_lstCoWindow.push_back( &m_TagWnd );

	// wb_j[
	m_MenuWnd.Create( 0, 0, 320, 28, this );	// ʒm
	m_MenuWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_MenuWnd );

	// LN^EBhE
	m_CharWnd.Create( 0, 28, 320, 105, pPlayerParty );
	m_CharWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_CharWnd );

	// ACeXg
	m_ItemWnd.Create( 0, 105, 140, 135, pPlayerParty, this );	// ʒm
	m_ItemWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_ItemWnd );

	// p^\
	m_ParamWnd.Create( 140, 105, 180, 135, pPlayerParty );
	m_ParamWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_ParamWnd );

	return TRUE;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CEquipWindow::FrameMove( const CManipulator *pMani )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::FrameMove( pMani );
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CEquipWindow::Render( void )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::Render();
}

//-----------------------------------------------------------------------------
// j
//-----------------------------------------------------------------------------
void CEquipWindow::Delete( void )
{
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CEquipWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );
	if ( bFlag )
	{
		m_TagWnd.SetVisible( FALSE );
		m_MenuWnd.SetCurPos( 0 );
		ChangeFocus( &m_MenuWnd );
	}
}
//-----------------------------------------------------------------------------
// qEBhẼj[ʒm
// NotifyDecideKey
//-----------------------------------------------------------------------------
void CEquipWindow::NotifyDecideKey( CFrameWindow *pWnd, int nMenuID )
{
	if ( pWnd == &m_MenuWnd )
	{
		switch ( nMenuID )
		{
		case CEquipMenuWindow::MENU_ID_EQUIP:		// 
			//ChangeFocus( &m_ItemWnd );
			//m_ItemWnd.SetCurPos( 0 );
			break;
		case CEquipMenuWindow::MENU_ID_AUTO:		// 傤
			break;
		case CEquipMenuWindow::MENU_ID_REMOVE:		// ͂
			break;
		case CEquipMenuWindow::MENU_ID_REMOVE_ALL:	// ׂĂ͂
			break;
		case CEquipMenuWindow::MENU_ID_FINISH:		// 
			SetVisible( FALSE );
			// Lvj[ɖ߂
			m_pCampWnd->SetVisible( TRUE );
			break;
		}
	}
}
//-----------------------------------------------------------------------------
// qEBhẼLZ{^ʒm
// NotifyCancelKey
//-----------------------------------------------------------------------------
void CEquipWindow::NotifyCancelKey( CFrameWindow *pWnd )
{
	if ( pWnd == &m_MenuWnd )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
}
