//=============================================================================
// EquipWindow.h
//=============================================================================
#pragma once
#include <assert.h>
#include "cowndmanager.h"
#include "TagWindow.h"
#include "EquipMenuWindow.h"
#include "EquipCharWindow.h"
#include "EquipItemListWindow.h"
#include "EquipParamWindow.h"

class CPlayerParty;
class CManipulator;
class CCampWindow;
//-----------------------------------------------------------------------------
// CEquipWindow
//-----------------------------------------------------------------------------
class CEquipWindow : public CCoWndManager
{
private:
	BOOL Create( void ){ assert(0); return FALSE;	};	// don't use

protected:
	CCampWindow				*m_pCampWnd;		// eEBhE
	CPlayerParty			*m_pPlayerParty;

	// qEBhE
	CTagWindow				m_TagWnd;			//  \
	CEquipMenuWindow		m_MenuWnd;			// j[
	CEquipCharWindow		m_CharWnd;			// LN^EBhE
	CEquipItemListWindow	m_ItemWnd;			// ACeXg
	CEquipParamWindow		m_ParamWnd;			// p^EBhE

public:
	CEquipWindow(void);
	virtual ~CEquipWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return TRUE;	};

	void SetVisible( BOOL bFlag );

	BOOL Create( CPlayerParty *pPlayerParty, CCampWindow *pParent );	// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	// qEBhẼj[ʒm
	void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID );
	// qEBhẼLZ{^ʒm
	void NotifyCancelKey( CFrameWindow *pWnd );
};

