//=============================================================================
// ItemWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "ItemWindow.h"
#include "CampWindow.h"
#include "PlayerParty.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CItemWindow::CItemWindow(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CItemWindow::~CItemWindow(void)
{
}

//-----------------------------------------------------------------------------
// 
//-----------------------------------------------------------------------------
BOOL CItemWindow::Create( CPlayerParty *pPlayerParty, CCampWindow *pParent )
{
	m_pPlayerParty = pPlayerParty;
	m_pCampWnd = pParent;

	// uACev\
	m_TagWnd.Create( 0, 0, 70, 28 );
	m_TagWnd.SetExtendBackGround( FALSE );
	m_TagWnd.SetTagName("ACe");
	m_lstCoWindow.push_back( &m_TagWnd );

	// wb_j[
	m_MenuWnd.Create( 70, 0, 250, 28, this );	// ʒm
	m_MenuWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_MenuWnd );

	// ACeڍו\
	m_DescWnd.Create( 0, 28, 320, 45, this );
	m_DescWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_DescWnd );

	// ACeXg
	m_ListWnd.Create( 0, 73, 320, 167, pPlayerParty, this );
	m_ListWnd.SetExtendBackGround( FALSE );
	m_lstCoWindow.push_back( &m_ListWnd );

	return TRUE;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CItemWindow::FrameMove( const CManipulator *pMani )
{
	if ( !IsVisible() )
		return;

	// ʓIȃj[
	CCoWndManager::FrameMove( pMani );
}
//-----------------------------------------------------------------------------
// `
//-----------------------------------------------------------------------------
void CItemWindow::Render( void )
{
	if ( !IsVisible() )
		return;

	CCoWndManager::Render();

}
//-----------------------------------------------------------------------------
// 폜
//-----------------------------------------------------------------------------
void CItemWindow::Delete( void )
{
}
//-----------------------------------------------------------------------------
// L[ʒm
//-----------------------------------------------------------------------------
void CItemWindow::NotifyDecideKey( CFrameWindow *pWnd, int nMenuID )
{
	if ( pWnd == &m_MenuWnd )
	{
		switch ( nMenuID )
		{
		case CItemMenuWindow::MENU_ID_USE:			// 
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
			ChangeFocus( &m_ListWnd );
			m_ListWnd.SetCurPos( 0 );
			break;
		case CItemMenuWindow::MENU_ID_ORDER:		// Ƃ
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
			m_pPlayerParty->SortItem();
			m_ListWnd.UpdateDispItem();
			m_MenuWnd.SetCurPos( 0 );
			break;
		case CItemMenuWindow::MENU_ID_IMPORTANT:	// Ȃ
			m_ListWnd.SetCurPos( 0 );
			m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_IMPORTANT );
			m_MenuWnd.SetCurPos( 2 );
			break;
		}
	}
}
//-----------------------------------------------------------------------------
// LZL[ʒm
//-----------------------------------------------------------------------------
void CItemWindow::NotifyCancelKey( CFrameWindow *pWnd )
{
	if ( pWnd == &m_MenuWnd )
	{
		SetVisible( FALSE );
		// Lvj[ɖ߂
		m_pCampWnd->SetVisible( TRUE );
	}
	else if ( pWnd == &m_ListWnd )
	{
		ChangeFocus( &m_MenuWnd );
		m_MenuWnd.SetCurPos( 0 );
	}
}
//-----------------------------------------------------------------------------
// SetVisible
//-----------------------------------------------------------------------------
void CItemWindow::SetVisible( BOOL bFlag )
{
	CCoWndManager::SetVisible( bFlag );

	if ( bFlag )
	{	// J[\ʒuݒ
		//m_MenuWnd.SetCurPos( 0 );
		m_ListWnd.SetItemListMode( CItemListWindow::ITEM_LIST_MODE_NORMAL );
		m_MenuWnd.SetFocus( FALSE );
		m_ListWnd.SetFocus( TRUE );
		m_ListWnd.SetCurPos( 0 );
	}
}
//-----------------------------------------------------------------------------
// GetSelectedItem
//-----------------------------------------------------------------------------
stItemInfo *CItemWindow::GetSelectedItem( void ) const
{
	// ToDo:
	if ( m_ListWnd.GetItemListMode() == CItemListWindow::ITEM_LIST_MODE_IMPORTANT )
		return NULL;

	// I𒆂̃ACe擾
	int nIndex = m_ListWnd.GetCurPos() + m_ListWnd.GetTopItemIndex();

	return m_pPlayerParty->GetItemInfo( nIndex );
}
