//=============================================================================
// StatusWindow.h
//=============================================================================
#pragma once
#include <assert.h>
#include "cowndmanager.h"
#include "TagWindow.h"
#include "StatusCommandWindow.h"
#include "StatusParamWindow.h"

class CPlayerParty;
class CManipulator;
class CCampWindow;
//-----------------------------------------------------------------------------
// CStatusWindow
//-----------------------------------------------------------------------------
class CStatusWindow : public CCoWndManager
{
private:
	BOOL Create( void ){ assert(0); return FALSE;	};	// don't use

protected:
	CPlayerParty			*m_pPlayerParty;// v[p[eB
	CCampWindow				*m_pCampWnd;	// eEBhE

	// qEBhE
	CTagWindow				m_TagWnd;		// ACe \
	CStatusCommandWindow	m_CmdWnd;		// R}hEBhE
	CStatusParamWindow		m_ParamWnd;		// p^\EBhE

	int						m_nSelPlayer;	// Iꂽv[

public:
	CStatusWindow(void);
	virtual ~CStatusWindow(void);

	BOOL IsMenu( void ) const	// j[邩
	{	return TRUE;	};

	void SetVisible( BOOL bFlag );

	void SetSelectedPlayerIndex( int nIndex )
	{	m_nSelPlayer = nIndex;	};

	int GetSelectedPlayerIndex( void ) const
	{	return m_nSelPlayer;	};

	BOOL Create( CPlayerParty *pPlayerParty, CCampWindow *pParent );	// 
	void FrameMove( const CManipulator *pMani ); 	// XV
	void Render( void );		// `
	void Delete( void );		// j

	// qEBhẼj[ʒm
	void NotifyDecideKey( CFrameWindow *pWnd, int nMenuID ){};
	// qEBhẼLZ{^ʒm
	void NotifyCancelKey( CFrameWindow *pWnd ){};

};

