//=============================================================================
// TagWindow.cpp
//=============================================================================
#include "Stdinc.h"
#include "TagWindow.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CTagWindow::CTagWindow(void)
	: m_nMarginX( 12 )
{
	RtlZeroMemory( m_szTagName, sizeof(m_szTagName) );
}

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CTagWindow::~CTagWindow(void)
{
}
//-----------------------------------------------------------------------------
// SetTagName
//-----------------------------------------------------------------------------
void CTagWindow::SetTagName( const char *lpzTag )
{
	strcpy_s( m_szTagName, lpzTag );
}

//-----------------------------------------------------------------------------
// Render
//-----------------------------------------------------------------------------
void CTagWindow::Render( void )
{
	if ( !m_bIsVisible )
		return ;

	CFrameWindow::Render();

	DrawString( m_nPosX + m_nMarginX, m_nPosY + 8, m_szTagName, STRING_COLOR );
}
