//=============================================================================
// PlayerBattle.cpp
//=============================================================================
#include "Stdinc.h"
#include "PlayerBattle.h"

//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CPlayerBattle::CPlayerBattle(void)
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CPlayerBattle::~CPlayerBattle(void)
{
}
//-----------------------------------------------------------------------------
// 폜
//-----------------------------------------------------------------------------
void CPlayerBattle::Delete( void )
{
	// 퓬G폜
	for ( int iCnt = 0; iCnt < BTL_CHAR_PTN_COUNT; iCnt ++ )
	{
		if ( m_nHandle[iCnt] )
		{
			DeleteGraph( m_nHandle[iCnt] );
			m_nHandle[iCnt] = 0;
		}
	}

}
//-----------------------------------------------------------------------------
// Create
//-----------------------------------------------------------------------------
BOOL CPlayerBattle::Create( int nID, int nPicID )
{
	m_nID = nID;
	m_nPicID = nPicID;
	m_nState = STAND;

	for ( int iCnt = 0; iCnt < BTL_CHAR_PTN_COUNT; iCnt ++ )
	{
		if ( m_nHandle[iCnt] )
		{
			DeleteGraph( m_nHandle[iCnt] );
			m_nHandle[iCnt] = 0;
		}
	}

	return LoadPicture( nPicID );
}
//-----------------------------------------------------------------------------
// [h
//-----------------------------------------------------------------------------
BOOL CPlayerBattle::LoadPicture( int nPicID )
{
	char szFileName[MAX_PATH];
	sprintf_s( szFileName, sizeof(szFileName), "%s\\%s%02d.png", CHAR_DATA_DIR , CHAR_BTL_GRAPH_FNAME_PREFIX, nPicID );

	int iRet = LoadDivGraph( szFileName , BTL_CHAR_PTN_COUNT, BTL_CHAR_PTN_COUNT, 1, 27, 27, m_nHandle );
	if ( iRet != DX_SUCCESS )
	{
		CSysError::Msg("摜ǂݍݎs [%s]", szFileName );
		return FALSE;
	}

	return TRUE;
}

//-----------------------------------------------------------------------------
// FrameMove
//-----------------------------------------------------------------------------
void CPlayerBattle::FrameMove( void )
{
}
//-----------------------------------------------------------------------------
// Render
//-----------------------------------------------------------------------------
void CPlayerBattle::Render( void )
{

}
//-----------------------------------------------------------------------------
// RenderPortrate
// G`悷
//-----------------------------------------------------------------------------
void CPlayerBattle::RenderPortrate( int nPosX, int nPosY )
{
	DrawGraphEx( nPosX, nPosY, m_nHandle[ STAND ], TRUE ) ;
}
