//=============================================================================
// PlayerChar.h
//=============================================================================
#pragma once
#include <list>
#include "characterobject.h"

class CManipulator;
class CMapManager;
class CEquipItem;

//-----------------------------------------------------------------------------
// CPlayerChar
//-----------------------------------------------------------------------------
class CPlayerChar :	public CCharacterObject
{
protected:

public:	// ANZXȈՉ
	PLAYER_CHAR_INFO	m_CharInfo;				// LN^
	BASE_PARAM			m_BasePram;				// x[Xp^
	PARAM				m_Param;				// p^

	CEquipItem			*m_pEquip[CHR_POS_MAX];	// i

	// x[Xp^Ƒip^vZ
	void CalcParam( void );

public:
	CPlayerChar(void);
	virtual ~CPlayerChar(void);

	// 
	BOOL Create( int nID, int nPicID );

	// XV
	void FrameMove( const CManipulator *pMani, CMapManager *pMapMan );
	// L[ȂXV
	void FrameMove( CMapManager *pMapMan );

	// 퓬XV
	void FrameMoveAtBattle( void );
	// 퓬`
	void RenderAtBattle( void );

	// HP/MPS
	void RecoveryHPMP( void )
	{	m_CharInfo.nHP = m_Param.Base.nMaxHP;
		m_CharInfo.nMP = m_Param.Base.nMaxMP;};

	// 
	BOOL SetEquipItem( CEquipItem *pEquip, int nChrPos = CHR_POS_MAX );
	CEquipItem *GetEquipItem( int nChrPos ) const
	{	return m_pEquip[nChrPos];	};
};

